Subject: Re: State of Perforce importing.

From: David Brown <[email-masked]>
Date: Wed, 19 Sep 2007 10:12:43 -0700

On Wed, Sep 19, 2007 at 08:19:11AM +0200, Simon Hausmann wrote:

>> An additional problem:
>>
>>    - git-p4 doesn't preserve the execute permission bit from Perforce.
>
>Hmm, can you paste the output of
>
>	p4 fstat //path/in/depot/to/file/that/is/imported/incorrectly
>
>? I'm interested in the type of the file that p4 reports.

   headType kxtext

so the problem is that the git-p4 is only looking for an 'x' at the start.
According to 'p4 help filetypes', we need to use execute for any of:

   cxtext, kxtext, uxbinary,  and the others that start with 'x'.

I think it would be sufficient to check the first or second character for
an 'x'.  I'll make a change and give it a try later today.

David